Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.gouv.culture.sdx.search.lucene.analysis.filter
Class ChineseFilter

    java.lang.Object
      org.apache.lucene.analysis.TokenStream
          org.apache.lucene.analysis.TokenFilter
              fr.gouv.culture.sdx.search.lucene.analysis.filter.ChineseFilter

Deprecated. use `org.apache.lucene.analysis.cn.ChineseFilter` instead

    public final class ChineseFilter

extends org.apache.lucene.analysis.TokenFilter

Title: ChineseFilter Description: Filter with a stop word table Rule: No digital is allowed. English word/token should larger than 1 character. One Chinese character as one Chinese word. TO DO: 1. Add Chinese stop words, such as  2. Dictionary based Chinese word extraction 3. Intelligent Chinese word extraction Copyright: Copyright (c) 2001 Company:

Version:
  1.0
Author:
  Yiyi Sun

Field Summary
`static java.lang.String[]` | `STOP_WORDS` Deprecated.

Fields inherited from class org.apache.lucene.analysis.TokenFilter
`input`

Constructor Summary
`ChineseFilter(org.apache.lucene.analysis.TokenStream in)` Deprecated.
`ChineseFilter(org.apache.lucene.analysis.TokenStream in, java.util.Hashtable stopWords)` Deprecated.
`ChineseFilter(org.apache.lucene.analysis.TokenStream in, java.util.Set stopWords)` Deprecated.

Method Summary
`org.apache.lucene.analysis.Token` | `next()` Deprecated.

Methods inherited from class org.apache.lucene.analysis.TokenFilter
`close`

Methods inherited from class org.apache.lucene.analysis.TokenStream
`reset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STOP_WORDS

    public static final java.lang.String[] STOP_WORDS

  Deprecated.

Constructor Detail

### ChineseFilter

    public ChineseFilter(org.apache.lucene.analysis.TokenStream in)

  Deprecated.
  Parameters:
    `in` -

### ChineseFilter

    public ChineseFilter(org.apache.lucene.analysis.TokenStream in,
                         java.util.Set stopWords)

  Deprecated.
  Parameters:
    `in` -
    `stopWords` -

### ChineseFilter

    public ChineseFilter(org.apache.lucene.analysis.TokenStream in,
                         java.util.Hashtable stopWords)

  Deprecated.
  Parameters:
    `in` -
    `stopWords` -

Method Detail

### next

    public final org.apache.lucene.analysis.Token next()
                                                throws java.io.IOException

  Deprecated.
  Specified by:
    `next` in class `org.apache.lucene.analysis.TokenStream`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Ministere de la culture et de la communication / AJLSM. All Rights Reserved.